Bug 1473619 - Azure inventory collection fails with missing instances for west-india region
Azure inventory collection fails with missing instances for west-india region
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
All Linux
high Severity medium
: GA
: 5.9.0
Assigned To: Daniel Berger
Dave Johnson
: TestOnly, ZStream
Depends On:
Blocks: 1481862 1479437
  Show dependency treegraph
 
Reported: 2017-07-21 06:23 EDT by Neha Chugh
Modified: 2017-10-05 22:00 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1479437 1481862 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Azure


Attachments (Terms of Use)

  None (edit)
Description Neha Chugh 2017-07-21 06:23:16 EDT
Description of problem:
Azure inventory collection fails with missing instances for west-india region

Version-Release number of selected component (if applicable):
5.8.0

How reproducible:
Always

Steps to Reproduce:
1. Navigate to compute -> cloud -> provider
2. Add Azure provider with west-india region
3. After addition, the inventory collection fails for images and instances.

Actual results:
Inventory collection missing for images and instances.


Expected results:
Inventory collection should not failed.

Additional info:
Comment 3 Daniel Berger 2017-07-21 09:16:22 EDT
I cannot reproduce locally. When you say it fails, do you mean that the "Last Refresh" for the provider shows an error? Or simply that there are resources you see in the Azure portal that are not showing up in the app?

Please attach the evm.log to this BZ.
Comment 4 Daniel Berger 2017-07-21 14:18:53 EDT
Upon further review, I think this is actually a minor bug in Azure, which is -supposed- to return locations for all resources in lowercase. However, for VM's in the India regions it's returning them in a mix of lower and upper case characters, so that's why you're seeing your other resources, but not VM's.

The fix requires a minor modification to the refresh_helper_methods.rb file. I or someone on our team will have a fix for this shortly.
Comment 5 Neha Chugh 2017-07-31 08:04:57 EDT
Hello Daniel,

By inventory collection fails, I mean the VMs,images and other information are not shown for the west-india region provider.

Is the fix in work-in-progress or somebody else is working on it?

Let me know if any other details required.

Regards,
Neha Chugh
Comment 6 Daniel Berger 2017-08-03 10:00:28 EDT
The plan is to make our filtering caseless in the azure-armrest gem, which should solve this:

https://github.com/ManageIQ/azure-armrest/pull/291
Comment 7 Daniel Berger 2017-08-07 16:29:54 EDT
Upon further review, we need to handle it on the provider side:

https://github.com/ManageIQ/manageiq-providers-azure/pull/99

Note You need to log in before you can comment on or make changes to this bug.